<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ include file="/sessionInfo.jsp"%>
<% 
  String strLevel = "../../"; 
%> 
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sTable_type = "SZKC_CPFL";
%>
<%
    SzData szData = null;
    SzDataInfo szDataInfo = null;

    String sOPERATOR = request.getParameter("OPERATOR");
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
    String sReadonly = "";
    boolean bReadonly = false;
    if (sOPERATOR.equals("detail")) {
        sReadonly = "readonly";
        bReadonly = true;
    }
    //读取数据
    LcNameInfo lcNameInfo = null;
    LcName lcName = new LcName();
    if (!sKEY.equals("0")) {
        lcNameInfo = (LcNameInfo)lcName.getInfoByKey(Integer.parseInt(sKEY));
    }
    if (lcNameInfo == null) {
        lcNameInfo = new LcNameInfo();
        lcNameInfo.setMCDLXM(szLoginInfo_SESSION.getDLXM());
        lcNameInfo.setMCSJ(SzDateHelp.getTimeStr());
        lcNameInfo.setMCDLID(szLoginInfo_SESSION.getDLID());
        lcNameInfo.setMCBMID(iBMID_SESSION);
    } else {
    }

%>

<body>
<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="detailCount" value="0">
<%@ include file="/flow/title.jsp"%>
<table width="100%">
  <tr>
    <td>
    <% if (!bReadonly) { %>
      <%=SzPageHelp.saveButton()%>
    <% } %>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="600" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
<DIV id=divSZFORMtable1 style="BACKGROUND: #c0c0c0; CURSOR: hand; HEIGHT: 20px"><INPUT id=XX1 size=10 name=XX1><INPUT id=XX13 size=10 name=XX13><INPUT id=XX14 size=10 name=XX14><INPUT id=XX15 size=10 name=XX15><INPUT id=XX16 readOnly size=10 name=XX16></DIV>
<TBODY>
<TR id=SZFORMtr9 >
<TD id=SZFORMtd33 style="CURSOR: hand">办理名称</TD>
<TD id=SZFORMtd34 style="CURSOR: hand" colSpan=3><INPUT class=txtClass1 id=XX2 size=10 name=XX2></TD>
</TR>
<!-- 
<TR id=SZFORMtr9>
<TD id=SZFORMtd35 style="CURSOR: hand">能使用的表单</TD>
<TD id=SZFORMtd36 style="CURSOR: hand" colSpan=3><INPUT type='hidden' id=XX10 name=XX10><INPUT class=txtClass1 id=XX10_NAME readOnly size=10 name=XX10_NAME><input type="button" name="btnSelect" class="btnClassShort" value="选择" OnClick="javascript:OpenIdSingleWin('SZLC_SPBD', 'formUpdate.XX10','formUpdate.XX10_NAME');"></TD></TR>
<TR id=SZFORMtr3>
<TD class=trMouseOut id=SZFORMtd5 style="CURSOR: hand">能使用的部门<br> 
    <% if (!bReadonly) {%> 
      <input type="button" name="btnSelect" class="btnClassShort" value="选择" OnClick="javascript:OpenWin24('formUpdate.XX15','formUpdate.XX11');"> 
    <% } %> 
</TD> 

<TD class=trMouseOut id=SZFORMtd6 style="CURSOR: hand" colSpan=3><TEXTAREA class=areaClass2 id=XX11 name=XX11></TEXTAREA></TD></TR>
<TR id=SZFORMtr4>
<TD class=trMouseOut id=SZFORMtd7 style="CURSOR: hand">能使用的人员<br> 
    <% if (!bReadonly) {%> 
      <input type="button" name="btnSelect" class="btnClassShort" value="选择" OnClick="javascript:OpenWin14('formUpdate.XX16','formUpdate.XX12');"> 
    <% } %> 
</TD> 

<TD class=trMouseOut id=SZFORMtd8 style="CURSOR: hand" colSpan=3><TEXTAREA class=areaClass2 id=XX12 name=XX12></TEXTAREA></TD></TR>
<TR id=SZFORMtr5>
<TD class=trMouseOut id=SZFORMtd9 style="CURSOR: hand">其他1</TD>
<TD class=trMouseOut id=SZFORMtd10 style="CURSOR: hand"><INPUT class=txtClass1 id=XX6 size=10 name=XX6></TD>
<TD id=SZFORMtd23 style="CURSOR: hand">其他2</TD>
<TD class=trMouseOut id=SZFORMtd17 style="CURSOR: hand"><INPUT class=txtClass1 id=XX7 size=10 name=XX7></TD></TR>
-->
<TR id=SZFORMtr6>
<TD class=trMouseOut id=SZFORMtd11 style="CURSOR: hand">录入人员</TD>
<TD class=trMouseOut id=SZFORMtd12 style="CURSOR: hand"><INPUT class=txtClass1 id=XX8 readOnly size=10 name=XX8></TD>
<TD class=trMouseOut id=SZFORMtd24 style="CURSOR: hand">录入时间</TD>
<TD class=trMouseOut id=SZFORMtd18 style="CURSOR: hand"><INPUT class=txtClass1 id=XX9 readOnly size=10 value="2008-03-31 20:51" name=XX9></TD></TR>
</TBODY></TABLE>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">
  //动态的隐藏
  var oDivSZFORMtable1 = document.getElementById("divSZFORMtable1");  
  if (oDivSZFORMtable1 != null) { 
    oDivSZFORMtable1.style.display="none"; 
  } 
  //动态的加入XX2的值
  var oXX1 = document.getElementById("XX1");  
  if (oXX1 != null) { 
    oXX1.value = "<%=lcNameInfo.getMCID()%>"; 
  } 
  var oXX2 = document.getElementById("XX2");  
  if (oXX2 != null) { 
    oXX2.value = "<%=lcNameInfo.getMCMC()%>"; 
  } 
  var oXX6 = document.getElementById("XX6");  
  if (oXX6 != null) { 
    oXX6.value = "<%=lcNameInfo.getMCBY1()%>"; 
  } 
  var oXX7 = document.getElementById("XX7");  
  if (oXX7 != null) { 
    oXX7.value = "<%=lcNameInfo.getMCBY2()%>"; 
  } 
  var oXX8 = document.getElementById("XX8");  
  if (oXX8 != null) { 
    oXX8.value = "<%=lcNameInfo.getMCDLXM()%>"; 
  } 
  var oXX9 = document.getElementById("XX9");  
  if (oXX9 != null) { 
    oXX9.value = "<%=lcNameInfo.getMCSJ()%>"; 
  } 
  var oXX10 = document.getElementById("XX10");  
  if (oXX10 != null) { 
  var oXX10_NAME = document.getElementById("XX10_NAME");  
  <%  
    String XX10_NAME = "";  
    szData = new SzData("SZLC_SPBD","BDID","BDMC");  
    XX10_NAME = szData.getMainByKey(lcNameInfo.getMCSYBD());  
  %>  
    oXX10.value = "<%=lcNameInfo.getMCSYBD()%>"; 
    oXX10_NAME.value = "<%=XX10_NAME%>"; 
  
  } 
  var oXX11 = document.getElementById("XX11");  
  if (oXX11 != null) { 
    oXX11.value = "<%=lcNameInfo.getMCSYBMMC()%>"; 
  } 
  var oXX12 = document.getElementById("XX12");  
  if (oXX12 != null) { 
    oXX12.value = "<%=lcNameInfo.getMCSYDLXM()%>"; 
  } 
  var oXX13 = document.getElementById("XX13");  
  if (oXX13 != null) { 
    oXX13.value = "<%=lcNameInfo.getMCDLID()%>"; 
  } 
  var oXX14 = document.getElementById("XX14");  
  if (oXX14 != null) { 
    oXX14.value = "<%=lcNameInfo.getMCBMID()%>"; 
  } 
  var oXX15 = document.getElementById("XX15");  
  if (oXX15 != null) { 
    oXX15.value = "<%=lcNameInfo.getMCSYBM()%>"; 
  } 
  var oXX16 = document.getElementById("XX16");  
  if (oXX16 != null) { 
    oXX16.value = "<%=lcNameInfo.getMCSYDL()%>"; 
  } 
  //判断是否有明细，如果有就动态增加   
</script>
<script language="javascript">

  function FormSave(formName, url) {
    //检查是否可以保存
    if (!notSpace(formName.XX2, "办理名称")) {
      return false;
    }
    /*
    if (!notNum(formName.XX10, "能使用的表单")) {
      return false;
    }
    */

    formName.action = url;
    formName.submit();
  }
</script>
</body>
